OVH Community, your new community space.

Serveur R2 - Teamspeak 3.0.10 - GCC


nowwhat
11/03/2014, 09h26
Citation Envoyé par Rouks
....
Ce serveur est actuellement en version 3.0.6 et à chaque connexion il me signale donc qu'il existe une 3.0.10
Ne prend pas ce "3.0.10", passe directement au http://teamspeak.com/?page=downloads == 3.0.10.3

nowwhat
10/03/2014, 17h10
Citation Envoyé par wasabi.paris
....
Mais si c est pour dire cela sans porte de solution....c est de la polution !
Je comprend.
Mais sache que c'est ton choix de garder un OS-système tellement vieux - si mal documenté - que peu des gens utilise - que je ne peut rien faire d'autre que te dire "barrer de là". Beaucoup ont utilisé le R2, et sont passés à autre chose, le R3, ou un système grand publique -mais peu ont parlé des manips à faire.

Une solution pourrait être:
Procure toi un nouveau serveur avec le R3.
Et un nom de domaine pour jouer avec. J'ai moi même un nom de domaine: test-domaine.fr (véridique !).

Puis tu joue avec le nouveau interface de gestion - tu compare avec ce que tu as (le R2) et comment c'est fait dans le nouveau (R3).
Fait marcher un mini-site-web - un adresse mail ou deux - l'accès FTP - fail2ban .... tes sauvegardes .... le tout, quoi.
Surtout: teamspeak: installe-le !
Donne toi un mois ou deux pour bien connaitre ta nouvelle"maison".

Puis, le jour de la déménagement:
Copie de site à site (tiens: Google rsync !)
Copie tes bases des données (avec phpmyadmin - ou ..... coupe les serveurs des deux cotés - et go rsync aussi
Transfert tes nom des domaines de serveur R2 vers R3.
Paramétrage des tes mails
Transfert - copie des tes boites mails si nécessaire.

et .... snif .... laisse mourir le vieux R2 (arrête le paiement de ton serveur).

Sache que cette procédure n'est pas typiquement réservé pour toi. On le fait tous comme ça dès qu'on change de serveur.
Et c'est là ou ça compte quand on a choisi un OS 'normal' (Debian e.a.) : ou moins, on ne change pas d'environnement - les mises à jour sont "doigts dans le nez", ce qui fait que l'ancien et nouveau serveur seront forcement identiques et à jour. On y transfère QUE ces données sans besoin d'une période d'apprentissage d'un nouveau système.

Voila.
Mieux comme ça ?

BBR
10/03/2014, 16h46
pour passer d'un système à un autre c'est :
- sauvegarde des données
- réinstallation du serveur
- réinstallation des domaines et remise des données

wasabi.paris
10/03/2014, 15h28
helllo

Je suis en TS 3.0.10, Release 2 si je suis en release 2

Il m est possible de passer un tar des repertoires Gcc 4.5.3
Code:
drwxr-xr-x 3 root root 4096 mai 10  2006 3.4.4
drwxr-xr-x 5 root root 4096 mai 30  2006 3.4.6
drwxr-xr-x 3 root root 4096 mai 30  2006 3.4.5
drwxr-xr-x 6 root root 4096 mars 25  2012 4.5.3
pour info
Code:
Portage 2.1.10.3 (default/linux/x86/13.0, gcc-4.5.3, glibc-2.8_p20080602-r1, 3.8.13-xxxx-std-ipv6-32-hz1000 i686)
=================================================================
System uname: Linux-3.8.13-xxxx-std-ipv6-32-hz1000-i686-Intel-R-_Atom-TM-_CPU_D425_@_1.80GHz-with-gentoo-1.6.14
Timestamp of tree: Fri, 07 Mar 2014 00:45:01 +0000
app-shells/bash:          3.2_p17::
dev-lang/python:          2.4.4-r6, 2.5.4-r2, 2.6.4-r1
sys-apps/baselayout:      1.11.14-r8::
sys-apps/sandbox:         1.6-r2
sys-devel/autoconf:       2.13::, 2.61-r2
sys-devel/automake:       1.4_p6::, 1.5::, 1.6.3::, 1.7.9-r1::, 1.8.5-r3::, 1.9.6-r1::, 1.10.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            3.4.6-r1::, 4.5.3-r2
sys-devel/gcc-config:     1.5-r2
sys-devel/libtool:        2.2.6b
sys-devel/make:           3.80-r4::
sys-kernel/linux-headers: 2.6.11-r2:: (virtual/os-headers)
sys-libs/glibc:           2.8_p20080602-r1

Mais ce que je ne comprend pas il y a quelques jours seulement que j ai change setup de gcc et avant j etais en 3.4.6 meme si ma 4.5 etait installer
Que te dis ggc-config ?
Code:
gcc-config  -l
 [1] i686-pc-linux-gnu
 [2] i686-pc-linux-gnu-3.4.6
 [3] i686-pc-linux-gnu-3.4.6-hardened
 [4] i686-pc-linux-gnu-3.4.6-hardenednopie
 [5] i686-pc-linux-gnu-3.4.6-hardenednopiessp
 [6] i686-pc-linux-gnu-3.4.6-hardenednossp
 [7] i686-pc-linux-gnu-4.5.3 *

autre quelstion et la c est pas pour toi ...

Comment passe de Release 2 a Release 3 sans perte de donné ????

Car c est beau de dire :
Si, si.
C'est déjà dit: Poubelle le R2, prend le R3.

Mais si c est pour dire cela sans porte de solution....c est de la polution !

nowwhat
09/03/2014, 21h34
Si, si.
C'est déjà dit: Poubelle le R2, prend le R3.
C'est probablement la seule solution viable.

BBR
09/03/2014, 10h39
bah non...

Rouks
09/03/2014, 10h23
Personne n'a de solution pour ce problème d'installation de GCC ?

Rouks
09/02/2014, 12h29
Personne n'a de solution pour ce problème d'installation de GCC ?

BBR
25/01/2014, 18h12
(*) Prière épargner les commentaires du genre "mais un R2 n'est pas fait pour çà" ou "mais il ne faut pas toucher à la realease", ma question ne porte pas là-dessus...
et pourtant...
99.90% de ceux s'étant essayés à cet exercice périlleux qu'est la bidouille de la R2 s'en sont mordus les doigts, je te souhaite d'être dans les 010% qui y arrivent, bon courage.
Si tu aimes bien les releases OVH passe à la R3 et là tu seras beaucoup plus libre, parce que la R2 est basée sur des versions de plus en plus obsolètes, enfin ce que j'en dis ^^

Rouks
25/01/2014, 17h32
Bonjour
J'héberge un serveur Teamspeak 3 sur un serveur en Release 2 (3.10.23) (*)
Ce serveur est actuellement en version 3.0.6 et à chaque connexion il me signale donc qu'il existe une 3.0.10
Cependant, quand je tente de faire l'upgrade (opération classique avec écrasement des fichiers source) j'ai une erreur au moment de relancer le serveur, qui réclame la version 4.2 de GCC alors que la version installée est la 3.4.5 ("# gcc -v")

J'ai donc entrepris de tester une installation GCC 4.2 sur un autre serveur également en R2 pour m'assurer que ce n'est pas une grosse bêtise (*)
J'ai pour çà utilisé le mode opératoire de http://www.gentoo.org/doc/fr/gcc-upgrading.xml (§2) en commençant pas un joli

emerge -uav gcc

La manip semblait bien se présenter jusqu'à la tentative d'obtenir gnuconfig-20080123 ... qui ne semble plus disponible !
J'ai cru comprendre qu'il existait désormais une gnuconfig-20130516 (stable) mais n'arrive pas à m'en dépêtrer... Je ne suis même pas sûr que gnuconfig ne soit pas "deprecated".
Quelqu'un peut-il m'aider ? Je souligne que mon besoin initial n'est pas de modifier GCC mais uniquement d'installer la dernière version de TS...

Merci !


(*) Prière épargner les commentaires du genre "mais un R2 n'est pas fait pour çà" ou "mais il ne faut pas toucher à la realease", ma question ne porte pas là-dessus...